package client

import "fmt"

func ToStrings(data interface{}) []string {
	var i []string
	if vv, ok := data.([]interface{}); ok {
		for _, in := range vv {
			i = append(i, fmt.Sprint(in))
		}
	}
	return i
}

func ToString(data interface{}) string {
	if data == nil {
		return ""
	}
	return fmt.Sprint(data)
}

func ToFloat64(data interface{}) float64 {
	var i float64
	if vv, ok := data.(float64); ok {
		i = vv
		return i
	}
	if vv, ok := data.(int64); ok {
		i = float64(vv)
		return i
	}
	return i
}

func ToFloat32(data interface{}) float32 {
	if v, ok := data.(float32); ok {
		return v
	}
	if v, ok := data.(float64); ok {
		return float32(v)
	}
	if v, ok := data.(int64); ok {
		return float32(v)
	}
	return 0
}
